Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86080 - Software RAID is not stoped when emergency shutdown
Summary: Software RAID is not stoped when emergency shutdown
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nut
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-13 17:07 UTC by Gabor Horvath
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-20 15:20:41 UTC


Attachments (Terms of Use)

Description Gabor Horvath 2003-03-13 17:07:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/0

Description of problem:
I've configured a smart ups on our server, which has software RAID level 1 and
2. upsd, upsmon starts, reports any changes in power state.

If I pull the plug to test power failure, the shutdown is initiated. After
startup, the md driver starts resync with both devices. Then I've checked it
again, and recognized, that the md cleanup were not done  before poweroff. I
missed "flushing IDE devices" also.



Version-Release number of selected component (if applicable):
nut-0.45.4-1

How reproducible:
Always

Steps to Reproduce:
1. Configure nut with a smart ups, start ups and upsmon
2. Pull the plug from UPS, 
3. Wait for battery depletion, and UPS poweroff
4. Plug the power cable back again, 
5. Wait until the UPS is back again (or turn off and on)
6. Check /var/log/messages after startup

Actual Results:  UPS has turned off. After power restore Linux boots, but found
all software RAID devices unclean, and starts resync.

Expected Results:  To find a clean md array after reboot.

Additional info:

Comment 1 Ngo Than 2005-07-20 15:20:41 UTC
it should be fixed in the current FC3/FC4 release. please reopen it agains
if the problem still appears. Please change product to "Fedora Core"
and the version to "4". Thank you very much.


Note You need to log in before you can comment on or make changes to this bug.